Skip to main content

Request

[GET]
{{baseURL}}/api/v1/ke/kyc/id
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
id *stringThe national ID numberrequired

Sample response

Response
{
  "entity": {
    "date_of_birth": "1996-02-21",
    "first_name": "John",
    "gender": "M",
    "id": "123456789",
    "is_date_of_birth_match": true,
    "is_first_name_match": true,
    "is_gender_match": true,
    "is_last_name_match": true,
    "is_middle_name_match": true,
    "last_name": "Doe",
    "middle_name": "Donald"
  }
}

Response Fields

FieldTypeDescription
entityobjectContains the verification response data
entity.date_of_birthstringDate of birth of the individual (yyyy-MM-dd)
entity.first_namestringFirst name of the individual
entity.genderstringGender of the individual
entity.idstringNational ID number
entity.is_date_of_birth_matchbooleanWhether the provided date of birth matches the record
entity.is_first_name_matchbooleanWhether the provided first name matches the record
entity.is_gender_matchbooleanWhether the provided gender matches the record
entity.is_last_name_matchbooleanWhether the provided last name matches the record
entity.is_middle_name_matchbooleanWhether the provided middle name matches the record
entity.last_namestringLast name of the individual
entity.middle_namestringMiddle name of the individual